Skip to main content
POST
/
v2
/
email-threads
/
{email_thread_id}
/
emails
/
{email_id}
/
invoices
/
{invoice_id}
/
pdf
/
presign
Presign Invoice Pdf
curl --request POST \
  --url https://api.example.com/v2/email-threads/{email_thread_id}/emails/{email_id}/invoices/{invoice_id}/pdf/presign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>"
}
'
{
  "attachment": {
    "created_at": "2023-11-07T05:31:56Z",
    "modified_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "name": "<string>",
    "mime_type": "<string>",
    "size": 123,
    "is_verified": true,
    "object": "<string>"
  },
  "presigned_url": {
    "url": "<string>",
    "fields": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.api.stuut.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

email_thread_id
string
required
email_id
string
required
invoice_id
string
required

Body

application/json
filename
string
required
mime_type
required
Available options:
application/json,
application/pdf,
application/msword,
application/vnd.openxmlformats-officedocument.wordprocessingml.document,
application/vnd.ms-excel,
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
application/vnd.ms-powerpoint,
application/vnd.openxmlformats-officedocument.presentationml.presentation,
text/csv,
application/csv,
text/plain,
text/html,
application/xml,
message/rfc822,
application/vnd.ms-outlook,
application/rtf,
text/markdown,
text/md

Response

Successful Response

attachment
object
required
presigned_url
object
required